<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:scr="urn:script-schema">

  <xsl:template match="/">
    <html>
      <head>
        <title>
          <xsl:value-of select="/scr:script/scr:title"/>
        </title>
      </head>
      <body>
        <h1>
          <xsl:value-of select="/scr:script/scr:title"/>
        </h1>
        <table>
          <xsl:for-each select="scr:script/scr:cast/scr:role">
            <xsl:sort select="scr:rolename" order="ascending"/>
            <tr>
              <td>
                <xsl:value-of select="scr:rolename" />
              </td>
              <td>
                <b><xsl:value-of select="scr:actor" /></b>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <table>
          <xsl:for-each select="scr:script/scr:script-text/*">
            <tr>
              <xsl:choose>
                <xsl:when test="self::scr:dialogue">
                  <td>
                    <b>
                        <xsl:value-of select="scr:role" />
                    </b>
                  </td>
                  <td>
                    <xsl:apply-templates />
                  </td>
                </xsl:when>
                <xsl:otherwise>
                  <td colspan="2">
                    <i>
                      <xsl:value-of select="." />
                    </i>
                  </td>
                </xsl:otherwise>
              </xsl:choose>
            </tr>
          </xsl:for-each>
        </table>

      </body>
    </html>
  </xsl:template>
  <xsl:template match="scr:narrating">
    <i>
      <xsl:value-of select="."/>
    </i>
  </xsl:template>
  <xsl:template match="scr:role">
  </xsl:template>
</xsl:stylesheet>

